<header id=header>   
    <div class="navbar navbar-default navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" 
                data-toggle="collapse" data-target="#bs-example-navbar-collapse-1"
                aria-expanded="false">
                    <span class="sr-only">Toggle</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <a class="navbar-brand" routerLink="/index" routerLinkActive="active">
                    <img src="./assets/images/logo.png" height="50" style="margin-top: -15px" />
                </a>
            </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li><a class="navbar-brand" routerLink="/index" routerLinkActive="active">Home</a></li>
                    <li *ngIf="identity"><a class="navbar-brand" routerLink="/create-video" routerLinkActive="active">Crear Video</a></li>
                </ul>

                <ul *ngIf="identity" class="nav navbar-nav navbar-right" id="credentials-top">
                    
                    <li>
                        <a routerLink='/index' class="user-image">
                            <img src="http://127.0.0.1:8000/uploads/users/{{identity.image}}" />
                        </a>
                    </li>
                    
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                        aria-haspopup="true" aria-expanded="false">
                            {{identity.name}} {{identity.surname}} <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a routerLink="/index">
                                    <span class="glyphicon glyphicon-home"></span> Mi canal
                                </a>
                            </li>
                            <li>
                                <a routerLink="/user-edit">
                                    <span class="glyphicon glyphicon-cog"></span> Ajustes
                                </a>
                            </li>
                            <li role="separator" class="divider"></li>
                            <li>
                                <a routerLink="/login/1">
                                    <span class="glyphicon glyphicon-log-out"></span> Salir
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>

                <ul *ngIf="!identity" class="nav navbar-nav navbar-right">
                    <li><a class="navbar-brand" routerLink="/login" routerLinkActive="active">Acceder</a></li>
                    <li><a class="navbar-brand" routerLink="/register" routerLinkActive="active">Registro</a></li>
                </ul>
            </div>
        </div>
    </div>
</header>
<div class="clearfix"></div> 

<section class="main">
    <router-outlet></router-outlet>
    <div class="clearfix"></div> 
</section>